This gem packages the bootstrap-datetimepicker for the Rails 3.1+ asset pipeline.
Ruby
Clone or download
Latest commit 2934715 Mar 4, 2017

README.md

bootstrap3-datetimepicker-rails

Gem Version

This gem packages the bootstrap-datetimepicker for the Rails 3.1+ asset pipeline.

Eonasdan's fork of tarruda's bootstrap-datetimepicker is actively maintained and works with Bootstrap3.

momentjs-rails is a required dependency.

Installation

Add these lines to your application's Gemfile:

gem 'momentjs-rails', '>= 2.9.0'
gem 'bootstrap3-datetimepicker-rails', '~> 4.17.47'

And then execute:

$ bundle

Or install it yourself:

$ gem install momentjs-rails
$ gem install bootstrap3-datetimepicker-rails

To start using the bootstrap-datetimepicker plugin in your Rails application, enable it via the asset pipeline.

If your server is running, you will need to restart Rails before using the gem.

Add the following to your JavaScript manifest file (application.js):

//= require moment
//= require bootstrap-datetimepicker

If you want to include a localization, also add:

//= require moment/<locale>

Add the following to your style sheet file:

If you are using SCSS, modify your application.css.scss

// import bootstrap-sprockets before bootstrap if using bootstrap >= 3.2
@import 'bootstrap-sprockets';
@import 'bootstrap';
@import 'bootstrap-datetimepicker';

If you're using plain CSS, modify your application.css

*= require bootstrap
*= require bootstrap-datetimepicker

Usage

Check out the documentation at: http://eonasdan.github.io/bootstrap-datetimepicker/

Problems

Clone https://github.com/TrevorS/bs3dp-test and try to reproduce your issue.

Contributing

  1. Fork it
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Add some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Create new Pull Request